Pacman

Welcome to the Pacman bug tracker. Please search the current bugs and feature requests before filing a new one! Use advanced search and select "Search in Comments".

* Please select the correct category and version.
* Write a descriptive summary, background info, and provide a reproducible test case whenever possible.
Tasklist

FS#72872 - exa packaging error

Attached to Project: Pacman
Opened by Maximilian Philipp (xyhlon) - Monday, 29 November 2021, 12:56 GMT
Last edited by Antonio Rojas (arojas) - Monday, 29 November 2021, 14:14 GMT
Task Type Bug Report
Category General
Status Closed
Assigned To No-one
Architecture x86_64
Severity Low
Priority Normal
Reported Version 6.0.0
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Summary and Info:
While upgrading the system exa dependencies where updated to need libgit2 1.3. However when running exa it would prints that it could not find the correct version of libgit2 1.2. I filed a bug at their github and was pointed to file a bug report with packaging in Arch. This is the link to the issue for more information.
Sorry if this is not the correct place to post this. If it isn't could somebody kindly point me in the right direction ;).

https://github.com/ogham/exa/issues/985
Steps to Reproduce:
sudo pacman -Syu
exa

now it should print
exa: error while loading shared libraries: libgit2.so.1.2: cannot open shared object file: No such file or directory
This task depends upon

Closed by  Antonio Rojas (arojas)
Monday, 29 November 2021, 14:14 GMT
Reason for closing:  Not a bug
Comment by Doug Newgard (Scimmia) - Monday, 29 November 2021, 13:11 GMT
exa 0.10.1-4 was correctly rebuilt against the new libgit2. You've got something else going on, use the forums, IRC, or mailing lists for support.

Loading...